Tecnologia e non solo

gennaio 4, 2008

Anno nuovo compilatore nuovo.

Filed under: Debian,Sid,Varie — telperion @ 1:34 am

Prima apparizione, in Debian SID del gcc-4.3

gcc-4.3.0

Non mi convince quella dipendenza a libc6-amd64 sul mio sistema i686 (?!)
per cui tralascio l’aggiornamento per ora.

Poi si parte col solito valzer: kernel driver librerie toolchain …

Zum pappa zum pappa zummm ….

15 commenti

  1. aia
    i soliti 270 pacchetti🙂 in arrivo

    Commento di LuNa — gennaio 4, 2008 @ 8:45 am

  2. idem sulla sidux……..sto su un 686 e mi ha installato quelle due librerie 64, in fase di aggiornamento lo ho lasciato libero di fare pensando poi di levarle…e quà viene il bello, per toglierle si porta appresso un sacco di pacchetti dipendenti…..indaga telperion e dicci come è la situazione

    Commento di enzolatina — gennaio 4, 2008 @ 9:59 am

  3. La situazione credo sia:

    a) quelle librerie ora servono (a cosa, boh?)
    b) hanno sbagliato le dipendenze di gcc-4.3

    Io in questi casi aspetto qualche giorno, se non ci sono correzioni vuol dire che è cosi, altrimenti solitamente arriva un nuovo pacchetto

    Commento di telperion — gennaio 4, 2008 @ 12:03 pm

  4. @TUTTI
    Quelle librerie le ho sempre installate indipendentemente da gcc, forse dimentichiamo che esiste anche la cross-compilazione🙂
    [MODE FANBOYS ON]
    Siamo troppo avanti🙂
    [MODE FANBOYS OFF] slep 9 ; open mode flamme !

    Commento di imu — gennaio 4, 2008 @ 2:17 pm

  5. @telperion
    Dovresti aggiungere un plugin per permettere ai lettori di modificare i propri commenti “s/slep/sleep”

    Commento di imu — gennaio 4, 2008 @ 2:19 pm

  6. @telperion
    confermo anche io quanto detto da imu, quelle librerie sono già presenti prima dell’arrivo di gcc-4.3.

    Commento di nameless — gennaio 4, 2008 @ 2:44 pm

  7. E perchè io che compilo “di tutto di più” non le ho quelle librerie e fino ad ora tutto ha funzionato perfettamente?
    So che esiste la “cross-compilazione” ma a quel punto dovrei avere anche le lib PPC WIN32 WIN64 e quant’altro. Se uno fà la cross-compliazione le installa altrimenti no.

    @imu: non credo che su wp.com si possano installare plugin. Anche si potesse, non ho granchè voglia di sbattermi con html/php/css mi ricorda il “lavoro” e questo è assolutamente “hobby” LOL.

    Commento di telperion — gennaio 4, 2008 @ 3:28 pm

  8. tutte le risposte in un colpo!
    Guarda qua:
    http://nonpensiamo.wordpress.com
    Non c’avresti mai pensato no?
    Allora smetti di pensare!
    Scambio link?
    Pensaci!

    Commento di filosofandomi — gennaio 4, 2008 @ 5:29 pm

  9. @filosofandomi:
    LOL

    Commento di telperion — gennaio 4, 2008 @ 5:39 pm

  10. credo avessero segnato male le dipendenze… oggi hanno rimosso tutto quello marcato con amd64, quindi nessun problema, aggiornate pure su i686🙂

    Commento di davide — gennaio 5, 2008 @ 11:50 am

  11. Ecco appunto.
    @Davide: grazie della segnalazione.

    Commento di telperion — gennaio 5, 2008 @ 12:02 pm

  12. [stupid mode on] che bello avere la distro a 64 bit e non pensarci [stupid mode off] 😛😛😛😛😛😛😛

    Commento di LuNa — gennaio 5, 2008 @ 5:35 pm

  13. @telperion e tutti
    My System is Debian Sid (i386) with kernel amd64 (official package Debian 2.6.23.1) with Nvidia (169-7 x86_64).
    imu@sidbox:~$ uname -a
    Linux sidbox 2.6.23-1-amd64 #1 SMP Fri Dec 21 15:18:24 UTC 2007 x86_64 GNU/Linux
    imu@sidbox:~$ dpkg-architecture
    DEB_BUILD_ARCH=i386
    DEB_BUILD_ARCH_OS=linux
    DEB_BUILD_ARCH_CPU=i386
    DEB_BUILD_GNU_CPU=i486
    DEB_BUILD_GNU_SYSTEM=linux-gnu
    DEB_BUILD_GNU_TYPE=i486-linux-gnu
    DEB_HOST_ARCH=i386
    DEB_HOST_ARCH_OS=linux
    DEB_HOST_ARCH_CPU=i386
    DEB_HOST_GNU_CPU=i486
    DEB_HOST_GNU_SYSTEM=linux-gnu
    DEB_HOST_GNU_TYPE=i486-linux-gnu
    Credo che se si puo’ avere un kernel x86_64 su un sistema 32bit, naturalmente avendo una cpu che supporta le istruzioni (EMT64) quelle librerie servano e come. Certo è vero anche che non tutti sono fuori di testa come me🙂, a parte telperion !

    Commento di imu — gennaio 5, 2008 @ 11:36 pm

  14. Dimenticavo, il kernel 2.6.23.1-amd64 è sui repo ufficiali Debian (anche i 32bit) ricordatevi di scaaricare gli headers e nvidia x86_64 ed impostare il compilatore a “export CC=gcc-4.1” per compilare nvidia.

    Commento di imu — gennaio 5, 2008 @ 11:39 pm

  15. Ecco ora chiamo la neurodeliri e ci facciamo tutti 2 mesetti solo col pallottoliere e le pallette gialle e blu e rosse da spostare a destra o a sinistra …
    bwabwabwabwabwbabwbabwabwa …

    ROFTL

    Commento di telperion — gennaio 6, 2008 @ 12:42 am


RSS feed for comments on this post.

Crea un sito o un blog gratuitamente presso WordPress.com.

%d blogger cliccano Mi Piace per questo: